=== debian/changelog ===
massivethreads (1.00-1) unstable; urgency=medium

  * Initial release. (Closes: #878278)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 03 May 2018 07:23:15 +0900
