=== debian/control ===
Source: massivethreads
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/massivethreads/massivethreads
Vcs-Browser: https://salsa.debian.org/debian/massivethreads
Vcs-Git: https://salsa.debian.org/debian/massivethreads.git

Package: libmassivethreads0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Thread Library for High Productivity Languages - libs
 This provides a multithreaded processing library to achieve
 dynamic load balancing within compute nodes.
 .
 This package includes the shared library.

Package: libmassivethreads-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libmassivethreads0 (= ${binary:Version})
Description: Lightweight Thread Library for High Productivity Languages - devel
 This provides a multithreaded processing library to achieve
 dynamic load balancing within compute nodes.
 .
 This package contains files that are needed to build applications.

# Package: massivethreads
# Architecture: any
# Pre-Depends: ${misc:Pre-Depends}
# Depends: ${shlibs:Depends}, ${misc:Depends}, libmassivethreads0 (= ${binary:Version})
# Multi-Arch: foreign
# Description: Lightweight Thread Library for High Productivity Languages - tools
#  This provides a multithreaded processing library to achieve
#  dynamic load balancing within compute nodes.
#  .
#  This package contains files that is tool using libmassivethreads0.
