=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --exclude=.la

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/bin/*
