=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/massivethreads-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/massivethreads/massivethreads/tags .*/v?(\d\S*)\.tar\.gz
