=== debian/changelog ===
massivethreads (1.02-4) unstable; urgency=medium

  * Upload to unstable.
    + No update from exmerimental.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 26 Jan 2025 19:35:42 +0900

massivethreads (1.02-3) experimental; urgency=medium

  * d/rules: Disable LTO (Closes: #1015538)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 26 Jan 2025 17:59:15 +0900

massivethreads (1.02-1) experimental; urgency=medium

  * New upstream released. (Closes: #1014566)
  * d/patches:
    + Remove patches included in the release.
    + Refresh patches.
  * d/control:
    + Bump Standards-Version to 4.7.0.
  * Update d/copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jan 2025 14:12:00 +0900

massivethreads (1.00-4) unstable; urgency=medium

  * Fix sparc64 support.
  * d/copyright
    - Get rid of lintian 'superfluous-file-pattern'
  * d/control
    - Bump Standards-Version to 4.6.0.1 (no change)
    - Change Architecture from any to specified arch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 09 Jan 2022 13:38:14 +0900

massivethreads (1.00-3) unstable; urgency=medium

  * Update d/patches
   - Refresh patches.
   - Add supprort arm64 and sparc64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 28 Sep 2021 16:48:21 +0900

massivethreads (1.00-2) unstable; urgency=medium

  * Update d/control:
    - Add Rules-Requires-Root: no
  * Add d/patches/0001-tests-Fix-build-on-x86_32.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 24 Sep 2021 17:48:05 +0900
