=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/massivethreads/massivethreads
 Vcs-Browser: https://salsa.debian.org/debian/massivethreads
 Vcs-Git: https://salsa.debian.org/debian/massivethreads.git
 
 Package: libmassivethreads0
-Architecture: any
+Architecture: amd64 arm64 i386 sparc64
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -20,7 +21,7 @@
  This package includes the shared library.
 
 Package: libmassivethreads-dev
-Architecture: any
+Architecture: amd64 arm64 i386 sparc64
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmassivethreads0 (= ${binary:Version})
